using JamesKovacs.IoCArticle.TopdownDependencies.Domain;
using JamesKovacs.IoCArticle.TopdownDependencies.Services;
using MbUnit.Framework;

namespace JamesKovacs.IoCArticle.TopdownDependencies.Tests.Integration.Services {
    [TestFixture]
    public class InvoiceServiceTests {
        [Test]
        public void CanSubmitNewInvoice() {
            Invoice invoice = new Invoice();
            InvoiceService service = new InvoiceService();
            ValidationResults validationResults = service.Submit(invoice);
            Assert.IsTrue(validationResults.IsValid);
        }
    }
}